## ros-kinetic-grizzly-msgs 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grizzly_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(
  FILES
  Ambience.msg
  Indicators.msg
  Status.msg
)
generate_messages(
  DEPENDENCIES std_msgs
)
catkin_package(
  CATKIN_DEPENDS std_msgs message_runtime
)

=== debian/changelog ===
ros-kinetic-grizzly-msgs (0.4.2-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-msgs (0.4.1-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 21 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-msgs (0.4.0-0xenial) xenial; urgency=high

  * Updated Indicators.msg
  * Updated messages for new hardware.
  * Contributors: Mohamed Elshatshat, Tony Baltovski, abhattacharjee

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 05 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-msgs (0.3.2-0xenial) xenial; urgency=high

  * Add grizzly_msgs description.
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 06 Nov 2015 05:00:00 -0000

ros-kinetic-grizzly-msgs (0.3.1-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 09 Jan 2015 05:00:00 -0000

ros-kinetic-grizzly-msgs (0.3.0-0xenial) xenial; urgency=high

  * add front axle publisher.
  * Use the FindEigen from cmake_modules.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Dec 2014 05:00:00 -0000

ros-kinetic-grizzly-msgs (0.2.0-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-kinetic-grizzly-msgs (0.1.4-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

ros-kinetic-grizzly-msgs (0.1.3-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 25 Feb 2014 05:00:00 -0000

ros-kinetic-grizzly-msgs (0.1.2-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Dec 2013 05:00:00 -0000

ros-kinetic-grizzly-msgs (0.1.1-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sat, 30 Nov 2013 05:00:00 -0000

ros-kinetic-grizzly-msgs (0.1.0-0xenial) xenial; urgency=high

  * Add a header with eigen-msg convenience functions for grizzly_msgs/Drive.
  * Add Drive message, add header to RawStatus message, fix up make for msgs package.
  * First cut of catkinized grizzly_msgs

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 28 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-grizzly-msgs
Section: misc
Priority: extra
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-grizzly-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Common messages for Grizzly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-grizzly-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
